Get the list of all category names and colours
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Categories are thought of as the major classification for an object. They also have an associated colour which can be used for marking or tagging their associated objects in some way.
Attributes
| Attribute | Type | Description | Attributes |
|---|---|---|---|
self | reference | URL of the category | Read-only Non-null |
name | string | The category name. | Read-Write Non-null |
hex_colour | colour | The category colour. | Read-Write Nullable |
is_active | boolean | true if the category should be allowed to be assigned to major objects | Read-Write Non-null |
Filtering Results
This endpoint returns the full list of categories and their corresponding colours by default. However, you may include an entity query parameter to only fetch categories which are enabled for the entity.
An example request that only wanted categories for notes would like this:
GET /v1/categories?entity=noteAll entities which support categories are valid values for the entity filter:
| Major Entity | Query String |
|---|---|
| Contact | contact |
| Company | company |
| Project | project |
| Opportunity | opportunity |
| Task | task |
| Appointment | appointment |
| Group | group |
| Note | note |
email |
Auto-created CategoriesImplicitly created categories are configured to apply to all entities. If a major object is created with a category which it is disabled, then the category will be changed so that it is active and enabled for the major entity.
You can toggle which categories are enabled for a particular entity in the Daylite app preferences.